# Force Record No-update

This module adds a boolean field on models form view, allowing to force `noupdate=True` to data linked to those models.

Upon setting the field to `True` on a given model, `noupdate=True` will be set upon existing data linked to it. When creating new data linked to that model, they will always have `noupdate=True` (unless the field is reset on the model itself).

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

To use this module, you need to open the models’ form view and check field “Force No-Update”

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Camtocamp

## Contributors

- Italo Lopes <italo.lopes@camptocamp.com>
- Silvio Gregorini <silvio.gregorini@camptocamp.com>

## Maintainers

This module is part of the SilvioC2C/server-tools project on GitHub.

You are welcome to contribute.